Subject: Re: [PATCH wireless-next 0/3] netlink carrier race workaround

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 Dec 2023 11:47:25 -0800

On Mon, 04 Dec 2023 20:14:10 +0100 Johannes Berg wrote:
> Heh. But do I want to get blamed for the (perhaps inevitable?)
> performance regression? I guess I'll try ...

I'd happily bet that nobody will notice. Feel free to add:

Suggested-by: Jakub Kicinski <[email-masked]>

If that makes it better?

> Actually I could even still combine this with the netif carrier up count
> in the wireless events, so we only have to do the rtnl_getlink if we
> haven't seen an event yet, and - in the likely common case - save the
> extra roundtrip? Though I guess it's not a huge problem, it's once per
> connection basically.

No objections to merging your carrier count patches to wireless, if you
prefer to keep them. But it'd be nice to also have a generic mechanism.